---
nm: 255.255.255.0
gw: 10.5.124.254
dns: 10.5.126.21
ks_url: http://10.5.126.23/repo/rhel/ks/kvm-rhel-7
ks_repo: http://10.5.126.23/repo/rhel/RHEL7-x86_64/
volgroup: /dev/vg_guests
eth0_ip: 10.5.124.191
vmhost: virthost-s390.qa.fedoraproject.org
datacenter: phx2
nrpe_procs_warn: 900
nrpe_procs_crit: 1000

fas_client_groups: sysadmin-noc,sysadmin-secondary

fedmsg_fqdn: s390-koji01.qa.fedoraproject.org

custom_rules: [
    # Need for rsync from secondary01 for content.
    '-A INPUT -p tcp -m tcp -s 209.132.181.8 --dport 873 -j ACCEPT',
]

sudoers: "{{ private }}/files/sudo/sysadmin-secondary-sudoers"

#
# define this here because s390 koji only needs eth0, not eth1 also
#
virt_install_command: virt-install -n {{ inventory_hostname }} -r {{ mem_size }}
                 --disk bus=virtio,path={{ volgroup }}/{{ inventory_hostname }}
                 --vcpus={{ num_cpus }}  -l {{ ks_repo }} -x
                 "ksdevice=eth0 ks={{ ks_url }} console=tty0 console=ttyS0
                  hostname={{ inventory_hostname }} nameserver={{ dns }}
                  ip={{ eth0_ip }}::{{ gw }}:{{ nm }}:{{ inventory_hostname }}:eth0:none"
                 --network=bridge=br0,model=virtio --network=bridge=br1,model=virtio
                 --autostart --noautoconsole

koji_topurl: "http://s390pkgs.fedoraproject.org/"
koji_server_url: "http://s390.koji.fedoraproject.org/kojihub"
koji_weburl: "http://s390.koji.fedoraproject.org/koji"

fedmsg_koji_instance: s390

# Set this to use the qa domain resolv.conf to make sure it can talk to it's db
resolvconf: resolv.conf/qa

# Overload the fedmsg_certs definition from the ansible koji group, since the
# s390 hub *also* does compose stuff, not just koji stuff.
fedmsg_certs:
- service: shell
  owner: root
  group: sysadmin
- service: koji
  owner: root
  group: apache
  can_send:
  - buildsys.build.state.change
  - buildsys.package.list.change
  - buildsys.repo.done
  - buildsys.repo.init
  - buildsys.rpm.sign
  - buildsys.tag
  - buildsys.task.state.change
  - buildsys.untag
- service: bodhi
  owner: root
  group: localreleng
  can_send:
  - compose.branched.complete
  - compose.branched.mash.complete
  - compose.branched.mash.start
  - compose.branched.pungify.complete
  - compose.branched.pungify.start
  - compose.branched.rsync.complete
  - compose.branched.rsync.start
  - compose.branched.start
  - compose.epelbeta.complete
  - compose.rawhide.complete
  - compose.rawhide.mash.complete
  - compose.rawhide.mash.start
  - compose.rawhide.rsync.complete
  - compose.rawhide.rsync.start
  - compose.rawhide.start
